#import <Foundation/Foundation.h>

@interface HttpParameters : NSObject {
	NSMutableString * _string;
}

+ (HttpParameters*) parameters;
+ (HttpParameters*) parametersWithValue:(id) value forName:(NSString*) name;
+ (HttpParameters*) parametersWithValues:(NSArray*) values forName:(NSString*) name;
- (void) addValue:(id) value forName:(NSString*) name;
- (void) addValues:(NSArray*) values forName:(NSString*) name;
- (NSString*) stringValue;

@end

// ----------

@interface NSMutableURLRequest (HttpParameters)

- (void) setPostParameters:(HttpParameters*) params;

@end



