#import <Foundation/Foundation.h>

@interface NSFileHandle (Additions)

- (void) copyTo:(NSFileHandle*) dest;

- (NSString*) readStringAndClose;

- (NSData*) readFullyAndClose;

- (NSData *) readUntil:(char) ch include:(BOOL) include;

- (NSString *) readLine;

- (void) forwardTo:(NSFileHandle*) dest;

@end
