	set _search to item 1 of argv
	set _collectionIndex to item 2 of argv + 1
	set _where to item 3 of argv
	set _first to item 4 of argv + 1
	set _max to item 5 of argv

	tell application "Yojimbo"
	    -- reopen would be better, but the application needs to be in the foreground
	    -- for the "select all" menu option below to work. The same is true for sending keystrokes.
		activate
	end tell

	tell application "System Events"
		tell process "Yojimbo"
			-- make sure the browser window is open
			perform action "AXPress" of menu item "Yojimbo" of menu 1 of menu bar item "Window" of menu bar 1

			-- for some reason the window's number is 2
			set w to 2

			-- select the collection
			select row _collectionIndex of table 1 of scroll area 1 of splitter group 1 of window w


			set _window to window w
			tell _window
				set value of text field 1 of group 3 of tool bar 1 to _search
				click button 1 of text field 1 of group 3 of tool bar 1
				click menu item _where of menu 1 of button 1 of text field 1 of group 3 of tool bar 1
				perform action "AXConfirm" of text field 1 of group 3 of tool bar 1
			end tell

			delay 0.1
			click table 1 of scroll area 1 of splitter group 1 of splitter group 1 of window w
			click menu item "Select All" of menu 1 of menu bar item "Edit" of menu bar 1

			set _copies to a reference to {}
			tell application "Yojimbo"
				set _items to selected items of window 1
				set _last to _first + _max - 1
				if _last > (count of _items) then
					set _last to count of _items
				end if

				repeat with r from _first to _last
					set i to item r of _items
					set _copy to {class:class of i, id:id of i, name:name of i, modification date:modification date of i, flagged:flagged of i}
					copy _copy to the end of _copies
				end repeat
			end tell

            perform action "AXPress" of menu item "Hide Yojimbo"  of menu 1 of menu bar item "Yojimbo"  of menu bar 1
			return {count of _items, _copies}
		end tell
	end tell
